/*  Gtk+ Widget Factory
 *  Copyright (C) 1999-2000  Jeroen Benckhuijsen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef GWF_PROJTREE_H
#define GWF_PROJTREE_H

#ifdef __cplusplus
extern "C" {
#endif

#include <gtk/gtk.h>
#include <gwf_lib.h>

#define GWF_PROJTREE(obj)		GTK_CHECK_CAST(obj, gwf_projtree_get_type (), GwfProjTree )
#define GWF_PROJTREE_CLASS(klass)	GTK_CHECK_CLASS_CAST(klass, gwf_projtree_get_type (), GwfProjTreeClass)
#define GWF_IS_PROJTREE(obj)		GTK_CHECK_TYPE(obj, gwf_projtree_get_type())

typedef struct 	_GwfProjTree 		GwfProjTree;
typedef struct 	_GwfProjTreeClass	GwfProjTreeClass;

struct _GwfProjTree
{
  GtkScrolledWindow	parent;
  
  GtkCTree		*projtree;
  GwfProjlist		*projlist;
  GtkCTreeNode		*projects;
  GwfTreeDataList	*treedatas;
  gchar			*widname;
};

struct _GwfProjTreeClass
{
  GtkScrolledWindowClass	parent_class;

};

guint		gwf_projtree_get_type 		(void);
GtkWidget*	gwf_projtree_new		(GwfProjlist *projlist,GwfTreeDataList *treedatas);
void		gwf_projtree_construct		(GwfProjTree *projtree,GwfProjlist *projlist,GwfTreeDataList *treedatas);

#ifdef __cplusplus
}
#endif

#endif

